// EasyOCView.h : interface of the CEasyOCView class
//


#pragma once


class CEasyOCView : public CView
{
protected: // create from serialization only
	CEasyOCView();
	DECLARE_DYNCREATE(CEasyOCView)

// Attributes
public:
	CEasyOCDoc* GetDocument() const;
   Handle_V3d_View m_3dView;
// Operations
public:

// Overrides
public:
	virtual void OnDraw(CDC* pDC);  // overridden to draw this view
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
   virtual void OnInitialUpdate();
protected:
	virtual BOOL OnPreparePrinting(CPrintInfo* pInfo);
	virtual void OnBeginPrinting(CDC* pDC, CPrintInfo* pInfo);
	virtual void OnEndPrinting(CDC* pDC, CPrintInfo* pInfo);

// Implementation
public:
	virtual ~CEasyOCView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:

// Generated message map functions
protected:
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnToolsBox();
};

#ifndef _DEBUG  // debug version in EasyOCView.cpp
inline CEasyOCDoc* CEasyOCView::GetDocument() const
   { return reinterpret_cast<CEasyOCDoc*>(m_pDocument); }
#endif

